# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.ClassifyReso200ResponseValueInner do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :Media
  ]

  @type t :: %__MODULE__{
    :Media => [FoyerAPI.Model.ClassifyReso200ResponseValueInnerMediaInner.t] | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.ClassifyReso200ResponseValueInner do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:Media, :list, FoyerAPI.Model.ClassifyReso200ResponseValueInnerMediaInner, options)
  end
end

